RENDERS
Wait for render completion
Long-poll until the job is `done` or `failed`, or until `timeout` elapses (max 60s). Returns 202 with `retryAfterMs` if still in progress — open another wait request.
get
/api/v1/renders/{id}/waitLong-poll until the job is done or failed, or until timeout elapses (max 60s).
Returns 202 with retryAfterMs if still in progress — open another wait request.
AuthorizationBearer <token>
API key as Authorization: Bearer <key>
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
timeout?integer
Seconds to hold the connection (default 30, max 60).
Range
1 <= value <= 60Default
30Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/renders/497f6eca-6276-4993-bfeb-53cbbbba6f08/wait"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "queued", "format": "png", "attempts": 0, "priority": 0, "error": "string", "webhookDeliveredAt": "2019-08-24T14:15:22Z", "webhookLastError": "string", "assetUrl": "string", "retryAfterMs": 0}{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "queued", "format": "png", "attempts": 0, "priority": 0, "error": "string", "webhookDeliveredAt": "2019-08-24T14:15:22Z", "webhookLastError": "string", "assetUrl": "string", "retryAfterMs": 0}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}